<?php

/*
 * This file is part of Swap.
 *
 * (c) Florian Voutzinos <florian@voutzinos.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace Swap\Util;

/**
 * Enumeration of currency codes.
 *
 * @author Florian Voutzinos <florian@voutzinos.com>
 */
final class CurrencyCodes
{
    const ISO_ADP = 'ADP';
    const ISO_AED = 'AED';
    const ISO_AFA = 'AFA';
    const ISO_AFN = 'AFN';
    const ISO_ALK = 'ALK';
    const ISO_ALL = 'ALL';
    const ISO_AMD = 'AMD';
    const ISO_ANG = 'ANG';
    const ISO_AOA = 'AOA';
    const ISO_AOK = 'AOK';
    const ISO_AON = 'AON';
    const ISO_AOR = 'AOR';
    const ISO_ARA = 'ARA';
    const ISO_ARP = 'ARP';
    const ISO_ARS = 'ARS';
    const ISO_ARY = 'ARY';
    const ISO_ATS = 'ATS';
    const ISO_AUD = 'AUD';
    const ISO_AWG = 'AWG';
    const ISO_AYM = 'AYM';
    const ISO_AZM = 'AZM';
    const ISO_AZN = 'AZN';
    const ISO_BAD = 'BAD';
    const ISO_BAM = 'BAM';
    const ISO_BBD = 'BBD';
    const ISO_BDT = 'BDT';
    const ISO_BEC = 'BEC';
    const ISO_BEF = 'BEF';
    const ISO_BEL = 'BEL';
    const ISO_BGJ = 'BGJ';
    const ISO_BGK = 'BGK';
    const ISO_BGL = 'BGL';
    const ISO_BGN = 'BGN';
    const ISO_BHD = 'BHD';
    const ISO_BIF = 'BIF';
    const ISO_BMD = 'BMD';
    const ISO_BND = 'BND';
    const ISO_BOB = 'BOB';
    const ISO_BOP = 'BOP';
    const ISO_BOV = 'BOV';
    const ISO_BRB = 'BRB';
    const ISO_BRC = 'BRC';
    const ISO_BRE = 'BRE';
    const ISO_BRL = 'BRL';
    const ISO_BRN = 'BRN';
    const ISO_BRR = 'BRR';
    const ISO_BSD = 'BSD';
    const ISO_BTN = 'BTN';
    const ISO_BUK = 'BUK';
    const ISO_BWP = 'BWP';
    const ISO_BYB = 'BYB';
    const ISO_BYR = 'BYR';
    const ISO_BZD = 'BZD';
    const ISO_CAD = 'CAD';
    const ISO_CDF = 'CDF';
    const ISO_CHC = 'CHC';
    const ISO_CHE = 'CHE';
    const ISO_CHF = 'CHF';
    const ISO_CHW = 'CHW';
    const ISO_CLF = 'CLF';
    const ISO_CLP = 'CLP';
    const ISO_CNX = 'CNX';
    const ISO_CNY = 'CNY';
    const ISO_COP = 'COP';
    const ISO_COU = 'COU';
    const ISO_CRC = 'CRC';
    const ISO_CSD = 'CSD';
    const ISO_CSJ = 'CSJ';
    const ISO_CSK = 'CSK';
    const ISO_CUC = 'CUC';
    const ISO_CUP = 'CUP';
    const ISO_CVE = 'CVE';
    const ISO_CYP = 'CYP';
    const ISO_CZK = 'CZK';
    const ISO_DDM = 'DDM';
    const ISO_DEM = 'DEM';
    const ISO_DJF = 'DJF';
    const ISO_DKK = 'DKK';
    const ISO_DOP = 'DOP';
    const ISO_DZD = 'DZD';
    const ISO_ECS = 'ECS';
    const ISO_ECV = 'ECV';
    const ISO_EEK = 'EEK';
    const ISO_EGP = 'EGP';
    const ISO_EQE = 'EQE';
    const ISO_ERN = 'ERN';
    const ISO_ESA = 'ESA';
    const ISO_ESB = 'ESB';
    const ISO_ESP = 'ESP';
    const ISO_ETB = 'ETB';
    const ISO_EUR = 'EUR';
    const ISO_FIM = 'FIM';
    const ISO_FJD = 'FJD';
    const ISO_FKP = 'FKP';
    const ISO_FRF = 'FRF';
    const ISO_GBP = 'GBP';
    const ISO_GEK = 'GEK';
    const ISO_GEL = 'GEL';
    const ISO_GHC = 'GHC';
    const ISO_GHP = 'GHP';
    const ISO_GHS = 'GHS';
    const ISO_GIP = 'GIP';
    const ISO_GMD = 'GMD';
    const ISO_GNE = 'GNE';
    const ISO_GNF = 'GNF';
    const ISO_GNS = 'GNS';
    const ISO_GQE = 'GQE';
    const ISO_GRD = 'GRD';
    const ISO_GTQ = 'GTQ';
    const ISO_GWE = 'GWE';
    const ISO_GWP = 'GWP';
    const ISO_GYD = 'GYD';
    const ISO_HKD = 'HKD';
    const ISO_HNL = 'HNL';
    const ISO_HRD = 'HRD';
    const ISO_HRK = 'HRK';
    const ISO_HTG = 'HTG';
    const ISO_HUF = 'HUF';
    const ISO_IDR = 'IDR';
    const ISO_IEP = 'IEP';
    const ISO_ILP = 'ILP';
    const ISO_ILR = 'ILR';
    const ISO_ILS = 'ILS';
    const ISO_INR = 'INR';
    const ISO_IQD = 'IQD';
    const ISO_IRR = 'IRR';
    const ISO_ISJ = 'ISJ';
    const ISO_ISK = 'ISK';
    const ISO_ITL = 'ITL';
    const ISO_JMD = 'JMD';
    const ISO_JOD = 'JOD';
    const ISO_JPY = 'JPY';
    const ISO_KES = 'KES';
    const ISO_KGS = 'KGS';
    const ISO_KHR = 'KHR';
    const ISO_KMF = 'KMF';
    const ISO_KPW = 'KPW';
    const ISO_KRW = 'KRW';
    const ISO_KWD = 'KWD';
    const ISO_KYD = 'KYD';
    const ISO_KZT = 'KZT';
    const ISO_LAJ = 'LAJ';
    const ISO_LAK = 'LAK';
    const ISO_LBP = 'LBP';
    const ISO_LKR = 'LKR';
    const ISO_LRD = 'LRD';
    const ISO_LSL = 'LSL';
    const ISO_LSM = 'LSM';
    const ISO_LTL = 'LTL';
    const ISO_LTT = 'LTT';
    const ISO_LUC = 'LUC';
    const ISO_LUF = 'LUF';
    const ISO_LUL = 'LUL';
    const ISO_LVL = 'LVL';
    const ISO_LVR = 'LVR';
    const ISO_LYD = 'LYD';
    const ISO_MAD = 'MAD';
    const ISO_MAF = 'MAF';
    const ISO_MDL = 'MDL';
    const ISO_MGA = 'MGA';
    const ISO_MGF = 'MGF';
    const ISO_MKD = 'MKD';
    const ISO_MLF = 'MLF';
    const ISO_MMK = 'MMK';
    const ISO_MNT = 'MNT';
    const ISO_MOP = 'MOP';
    const ISO_MRO = 'MRO';
    const ISO_MTL = 'MTL';
    const ISO_MTP = 'MTP';
    const ISO_MUR = 'MUR';
    const ISO_MVQ = 'MVQ';
    const ISO_MVR = 'MVR';
    const ISO_MWK = 'MWK';
    const ISO_MXN = 'MXN';
    const ISO_MXP = 'MXP';
    const ISO_MXV = 'MXV';
    const ISO_MYR = 'MYR';
    const ISO_MZE = 'MZE';
    const ISO_MZM = 'MZM';
    const ISO_MZN = 'MZN';
    const ISO_NAD = 'NAD';
    const ISO_NGN = 'NGN';
    const ISO_NIC = 'NIC';
    const ISO_NIO = 'NIO';
    const ISO_NLG = 'NLG';
    const ISO_NOK = 'NOK';
    const ISO_NPR = 'NPR';
    const ISO_NZD = 'NZD';
    const ISO_OMR = 'OMR';
    const ISO_PAB = 'PAB';
    const ISO_PEH = 'PEH';
    const ISO_PEI = 'PEI';
    const ISO_PEN = 'PEN';
    const ISO_PES = 'PES';
    const ISO_PGK = 'PGK';
    const ISO_PHP = 'PHP';
    const ISO_PKR = 'PKR';
    const ISO_PLN = 'PLN';
    const ISO_PLZ = 'PLZ';
    const ISO_PTE = 'PTE';
    const ISO_PYG = 'PYG';
    const ISO_QAR = 'QAR';
    const ISO_RHD = 'RHD';
    const ISO_ROK = 'ROK';
    const ISO_ROL = 'ROL';
    const ISO_RON = 'RON';
    const ISO_RSD = 'RSD';
    const ISO_RUB = 'RUB';
    const ISO_RUR = 'RUR';
    const ISO_RWF = 'RWF';
    const ISO_SAR = 'SAR';
    const ISO_SBD = 'SBD';
    const ISO_SCR = 'SCR';
    const ISO_SDD = 'SDD';
    const ISO_SDG = 'SDG';
    const ISO_SDP = 'SDP';
    const ISO_SEK = 'SEK';
    const ISO_SGD = 'SGD';
    const ISO_SHP = 'SHP';
    const ISO_SIT = 'SIT';
    const ISO_SKK = 'SKK';
    const ISO_SLL = 'SLL';
    const ISO_SOS = 'SOS';
    const ISO_SRD = 'SRD';
    const ISO_SRG = 'SRG';
    const ISO_SSP = 'SSP';
    const ISO_STD = 'STD';
    const ISO_SUR = 'SUR';
    const ISO_SVC = 'SVC';
    const ISO_SYP = 'SYP';
    const ISO_SZL = 'SZL';
    const ISO_THB = 'THB';
    const ISO_TJR = 'TJR';
    const ISO_TJS = 'TJS';
    const ISO_TMM = 'TMM';
    const ISO_TMT = 'TMT';
    const ISO_TND = 'TND';
    const ISO_TOP = 'TOP';
    const ISO_TPE = 'TPE';
    const ISO_TRL = 'TRL';
    const ISO_TRY = 'TRY';
    const ISO_TTD = 'TTD';
    const ISO_TWD = 'TWD';
    const ISO_TZS = 'TZS';
    const ISO_UAH = 'UAH';
    const ISO_UAK = 'UAK';
    const ISO_UGS = 'UGS';
    const ISO_UGW = 'UGW';
    const ISO_UGX = 'UGX';
    const ISO_USD = 'USD';
    const ISO_USN = 'USN';
    const ISO_USS = 'USS';
    const ISO_UYI = 'UYI';
    const ISO_UYN = 'UYN';
    const ISO_UYP = 'UYP';
    const ISO_UYU = 'UYU';
    const ISO_UZS = 'UZS';
    const ISO_VEB = 'VEB';
    const ISO_VEF = 'VEF';
    const ISO_VNC = 'VNC';
    const ISO_VND = 'VND';
    const ISO_VUV = 'VUV';
    const ISO_WST = 'WST';
    const ISO_XAF = 'XAF';
    const ISO_XAG = 'XAG';
    const ISO_XAU = 'XAU';
    const ISO_XBA = 'XBA';
    const ISO_XBB = 'XBB';
    const ISO_XBC = 'XBC';
    const ISO_XBD = 'XBD';
    const ISO_XCD = 'XCD';
    const ISO_XDR = 'XDR';
    const ISO_XEU = 'XEU';
    const ISO_XFO = 'XFO';
    const ISO_XFU = 'XFU';
    const ISO_XOF = 'XOF';
    const ISO_XPD = 'XPD';
    const ISO_XPF = 'XPF';
    const ISO_XPT = 'XPT';
    const ISO_XRE = 'XRE';
    const ISO_XSU = 'XSU';
    const ISO_XTS = 'XTS';
    const ISO_XUA = 'XUA';
    const ISO_XXX = 'XXX';
    const ISO_YDD = 'YDD';
    const ISO_YER = 'YER';
    const ISO_YUD = 'YUD';
    const ISO_YUM = 'YUM';
    const ISO_YUN = 'YUN';
    const ISO_ZAL = 'ZAL';
    const ISO_ZAR = 'ZAR';
    const ISO_ZMK = 'ZMK';
    const ISO_ZMW = 'ZMW';
    const ISO_ZRN = 'ZRN';
    const ISO_ZRZ = 'ZRZ';
    const ISO_ZWC = 'ZWC';
    const ISO_ZWD = 'ZWD';
    const ISO_ZWL = 'ZWL';
    const ISO_ZWN = 'ZWN';
    const ISO_ZWR = 'ZWR';

    private function __construct()
    {
    }
}
